Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_POSIX_Asynch_Read_Stream_Result Class Reference

This class provides concrete implementation for <ACE_Asynch_Read_Stream::Result> class for POSIX platforms. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Read_Stream_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Read_Stream_Result:

[legend]
List of all members.

## Public Member Functions
size_t | bytes_to_read (void) const
ACE_Message_Block & | message_block (void) const
| Message block which contains the read data.
ACE_HANDLE | handle (void) const
| I/O handle used for reading.
## Protected Member Functions
| ACE_POSIX_Asynch_Read_Stream_Result (const ACE_Handler::Proxy_Ptr &handler_proxy, ACE_HANDLE handle, ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
virtual | ~ACE_POSIX_Asynch_Read_Stream_Result (void)
| Destructor.
## Protected Attributes
ACE_Message_Block & | message_block_
| Message block for reading the data into.
## Friends
class | ACE_POSIX_Asynch_Read_Stream
| Factory classes will have special permissions.
class | ACE_POSIX_Proactor
| The Proactor constructs the Result class for faking results.

## Detailed Description

This class provides concrete implementation for <ACE_Asynch_Read_Stream::Result> class for POSIX platforms.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Read_Stream_Result::ACE_POSIX_Asynch_Read_Stream_Result | ( | const ACE_Handler::Proxy_Ptr & | handler_proxy,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

ACE_POSIX_Asynch_Read_Stream_Result::~ACE_POSIX_Asynch_Read_Stream_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

size_t ACE_POSIX_Asynch_Read_Stream_Result::bytes_to_read | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous read. Implements ACE_Asynch_Read_Stream_Result_Impl.

void ACE_POSIX_Asynch_Read_Stream_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| Get the data copied to this class, before calling application handler. Implements ACE_Asynch_Result_Impl. Reimplemented in ACE_POSIX_Asynch_Read_File_Result.

ACE_HANDLE ACE_POSIX_Asynch_Read_Stream_Result::handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for reading. Implements ACE_Asynch_Read_Stream_Result_Impl.

ACE_Message_Block & ACE_POSIX_Asynch_Read_Stream_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block which contains the read data. Implements ACE_Asynch_Read_Stream_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Read_Stream`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| The Proactor constructs the Result class for faking results. Reimplemented in ACE_POSIX_Asynch_Read_File_Result.

## Member Data Documentation

ACE_Message_Block& ACE_POSIX_Asynch_Read_Stream_Result::message_block_`[protected]`

| Message block for reading the data into.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp